This schema is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
Type of object is always networkAvailability.
networkAvailability The unique identifier for the plan.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"The ID of the network provider supported by this plan.
"p11"The technologies supported by the network provider.
{"4G":{"strength":"good","minDecibelMilliwatts":-90},"5G":{"strength":"fair","minDecibelMilliwatts":-100}}{
"object": "networkAvailability",
"availability": [
{
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"provider": "p11",
"technologies": {
"4G": {
"strength": "good",
"minDecibelMilliwatts": -90
},
"5G": {
"strength": "fair",
"minDecibelMilliwatts": -100
}
}
}
],
"location": {
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"coordinates": {
"latitude": 40.7831,
"longitude": -73.9712
}
}
}
Looks up network availability information based on geographic coordinates (latitude/longitude) or address. Returns network availability data only for US locations.
This endpoint is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
Returns the network availability data with location.
Type of object is always networkAvailability.
networkAvailability The unique identifier for the plan.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"The ID of the network provider supported by this plan.
"p11"The technologies supported by the network provider.
{"4G":{"strength":"good","minDecibelMilliwatts":-90},"5G":{"strength":"fair","minDecibelMilliwatts":-100}}curl https://api.gigs.com/projects/${GIGS_PROJECT}/networkAvailability/lookup \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"coordinates": {
"latitude": 40.7831,
"longitude": -73.9712
}
}'
{
"object": "networkAvailability",
"availability": [
{
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"provider": "p11",
"technologies": {
"4G": {
"strength": "good",
"minDecibelMilliwatts": -90
},
"5G": {
"strength": "fair",
"minDecibelMilliwatts": -100
}
}
}
],
"location": {
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"coordinates": {
"latitude": 40.7831,
"longitude": -73.9712
}
}
}